org.flexdock.docking.drag.effects

## Class RubberBand

- java.lang.Object
- - org.flexdock.docking.drag.effects.RubberBand

    public class RubberBand
    extends java.lang.Object

Author:
  Christopher Butler

### Field Summary

Fields
`static java.lang.String` `DEBUG_OUTPUT`

### Constructor Summary

Constructors
Constructor and Description
`RubberBand()`

### Method Summary

Methods
`void` `clear()`
`void` `paint(java.awt.Graphics g, int x, int y, int width, int height)`
`void` `paint(java.awt.Graphics g, java.awt.Rectangle r)`
`void` `paint(int x, int y, int width, int height)`
`void` `paint(java.awt.Rectangle r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG_OUTPUT

    public static final java.lang.String DEBUG_OUTPUT

See Also:
  Constant Field Values

### Constructor Detail

#### RubberBand

    public RubberBand()

### Method Detail

#### paint

    public void paint(java.awt.Graphics g,
             int x,
             int y,
             int width,
             int height)

#### paint

    public void paint(int x,
             int y,
             int width,
             int height)

#### paint

    public void paint(java.awt.Rectangle r)

#### paint

    public void paint(java.awt.Graphics g,
             java.awt.Rectangle r)

#### clear

    public void clear()